CO_TPDO_t Struct Reference
CANopen_301 » PDO

TPDO object. More...

`#include <CO_PDO.h>`

## Data Fields

CO_EM_t * | em
| From CO_TPDO_init()
CO_SDO_t * | SDO
| From CO_TPDO_init()
const CO_TPDOCommPar_t * | TPDOCommPar
| From CO_TPDO_init()
const CO_TPDOMapPar_t * | TPDOMapPar
| From CO_TPDO_init()
CO_NMT_internalState_t * | operatingState
| From CO_TPDO_init()
uint8_t | nodeId
| From CO_TPDO_init()
uint16_t | defaultCOB_ID
| From CO_TPDO_init()
uint8_t | restrictionFlags
| From CO_TPDO_init()
bool_t | valid
| True, if PDO is enabled and valid.
uint8_t | dataLength
| Data length of the transmitting PDO message. More...
uint8_t | sendRequest
| If application set this flag, PDO will be later sent by function CO_TPDO_process(). More...
uint8_t * | mapPointer [8]
| Pointers to 8 data objects, where PDO will be copied.
uint32_t | inhibitTimer
| Inhibit timer used for inhibit PDO sending translated to microseconds.
uint32_t | eventTimer
| Event timer used for PDO sending translated to microseconds.
uint8_t | sendIfCOSFlags
| Each flag bit is connected with one mapPointer. More...
uint8_t | syncCounter
| SYNC counter used for PDO sending.
CO_SYNC_t * | SYNC
| From CO_TPDO_init()
CO_CANmodule_t * | CANdevTx
| From CO_TPDO_init()
CO_CANtx_t * | CANtxBuff
| CAN transmit buffer inside CANdev.
uint16_t | CANdevTxIdx
| From CO_TPDO_init()

## Detailed Description

TPDO object.

## Field Documentation

## dataLength

uint8_t CO_TPDO_t::dataLength

Data length of the transmitting PDO message.

Calculated from mapping

## sendRequest

uint8_t CO_TPDO_t::sendRequest

If application set this flag, PDO will be later sent by function CO_TPDO_process().

Depends on transmission type.

## sendIfCOSFlags

uint8_t CO_TPDO_t::sendIfCOSFlags

Each flag bit is connected with one mapPointer.

If flag bit is true, CO_TPDO_process() functiuon will send PDO if Change of State is detected on value pointed by that mapPointer

The documentation for this struct was generated from the following file:

- 301/CO_PDO.h